Summary: Version 3 of the Python programming language aka Python 3000
Name: python3
Version: 3.6.6
Release: 5%{?dist}
License: Python
Group: Development/Languages

# ======================================================
# Additional metadata, and subpackages
# ======================================================

URL: http://www.python.org/

Requires: python36

%description
Python 3 is a new version of the language that is incompatible with the 2.x
line of releases. The language is mostly the same, but many details, especially
how built-in objects like dictionaries and strings work, have changed
considerably, and a lot of deprecated features have finally been removed.

%package libs
Summary:        Python 3 runtime libraries
Group:          Development/Libraries
Requires: python36-libs

%description libs
This package contains files used to embed Python 3 into applications.

%package devel
Summary: Libraries and header files needed for Python 3 development
Group: Development/Libraries
Requires: python36-devel

%description devel
This package contains libraries and header files used to build applications 
with and native libraries for Python 3

%package tools
Summary: A collection of tools included with Python 3
Group: Development/Tools
Requires: python36-tools

%description tools
This package contains several tools included with Python 3

%package tkinter
Summary: A GUI toolkit for Python 3
Group: Development/Languages
Requires: python36-tkinter

%description tkinter
The Tkinter (Tk interface) program is an graphical user interface for
the Python scripting language.

%package test
Summary: The test modules from the main python 3 package
Group: Development/Languages
Requires: python36-test

%description test
The test modules from the main %{name} package.
These are in a separate package to save space, as they are almost never used
in production.

You might want to install the python%{pyshortver}-test package if you're developing
python 3 code that uses more than just unittest and/or test_support.py.

%package debug
Summary: Debug version of the Python 3 runtime
Group: Applications/System
Requires: python36-debug

%description debug
python3-debug provides a version of the Python 3 runtime with numerous debugging
features enabled, aimed at advanced Python users, such as developers of Python
extension modules.

This version uses more memory and will be slower than the regular Python 3 build,
but is useful for tracking down reference-counting issues, and other bugs.

The bytecodes are unchanged, so that .pyc files are compatible between the two
versions of Python 3, but the debugging features mean that C/C++ extension
modules are ABI-incompatible with those built for the standard runtime.

It shares installation directories with the standard Python 3 runtime, so that
.py and .pyc files can be shared.  All compiled extension modules gain a "_d"
suffix ("foo_d.so" rather than "foo.so") so that each Python 3 implementation
can load its own extensions.

%prep

%build

%install

%files

%files libs

%files devel

%files tools

%files tkinter

%files test

%files debug

%changelog
* Wed May 01 2019 Jean-Marc Liger <jean-marc.liger@parisdescartes.fr> - 3.6.6-5
- Sync with python-3.6.6-5

* Mon Jul 25 2016 Jean-Marc Liger <jean-marc.liger@parisdescartes.fr> - 3.4.3-4
- Sync with python-3.4.3-4
- Remove /usr/bin/python3 symlinc

* Mon Nov 02 2015 Jean-Marc Liger <jean-marc.liger@parisdescartes.fr> - 3.4-0
- Make a python3 wrapper for python34 to satisfy upstream dependancies in EL7
